Convenience script to avoid running autoreconf/configure manually.
It can be run from a directory out of the source tree for VPATH builds.
This script is based off the one in spice-gtk.

Signed-off-by: Christophe Fergeau <[email protected]>
---
 autogen.sh | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100755 autogen.sh

diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..ed069a7
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+set -e # exit on errors
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+(
+    cd "$srcdir"
+    autoreconf -v --force --install
+)
+
+CONFIGURE_ARGS=""
+
+if [ -z "$NOCONFIGURE" ]; then
+    echo "Running configure with $CONFIGURE_ARGS $@"
+    "$srcdir/configure" $CONFIGURE_ARGS "$@"
+fi
-- 
2.14.3

_______________________________________________
Spice-devel mailing list
[email protected]
https://lists.freedesktop.org/mailman/listinfo/spice-devel

Reply via email to